Länkar
GET https://0o0.online/api/links/
curl --request GET \
--url 'https://0o0.online/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrar | detaljer | Beskrivning |
|---|---|---|
| search | Optionell Sträng | Det är söka sträng. |
| search_by | Optionell Sträng | Vilket fält söker du efter. Tillåtna värden är: url, location_url. |
| is_enabled | Optionell Boolean | |
| project_id | Optionell Innehåller | |
| type | Optionell Sträng |
biolink, link, file, vcard, event, static |
| datetime_field | Optionell Sträng | Tillåtna värden: datetime, last_datetime |
| datetime_start | Optionell Sträng | Filtrera resultat från denna datumtid. Y-m-d H:i:s och format. |
| datetime_end | Optionell Sträng | Filterar resultat upp till denna datumtid. Y-m-d H:i:s och format. |
| order_by | Optionell Sträng | Vilket fält att beställa resultaten av. Tillåtna värden är: link_id, datetime, last_datetime, clicks, url. |
| order_type | Optionell Sträng | Beställningen av resultaten. Tillåtna värden är: ASC för uppstigande order, och DESC för nedåtkommande order. |
| page | Optionell Innehåller | sidan nummer som du vill ha resultat från. defekter till 1. |
| results_per_page | Optionell Innehåller | Hur många resultat du vill ha per sida. Tillåtna värden är: 10, 25, 50, 100, 250, 500, 1000. Defekter till 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-10-16 01:37:52",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/links?page=1",
"last": "https://0o0.online/api/links?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/links?page=1"
}
}
GET https://0o0.online/api/links/{link_id}
curl --request GET \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-10-16 01:37:52",
}
}
POST https://0o0.online/api/links
| Parametrar | detaljer | Beskrivning |
|---|---|---|
| type | Optionell Sträng | link |
| location_url | Obligatoriskt Sträng | och den URL från destinationen .Tillgänglig när: is_bulk = 0 |
| location_urls | Obligatoriskt Sträng | och den URL från destinationen .Tillgänglig när: is_bulk = 1 |
| url | Optionell Sträng | och den URL alias av den genererade länken. Lämna tomt för en slumpmässigt genererad.Tillgänglig när: is_bulk = 0 |
| is_bulk | Optionell Boolean | |
| domain_id | Optionell Innehåller | - |
| project_id | Optionell Innehåller | - |
| pixels_ids | Optionell Array Innehåller | - |
| email_reports | Optionell Array | Anmälan handlar ids |
| schedule | Optionell Boolean | - |
| start_date | Optionell Sträng | Tillgänglig när: schedule = true |
| end_date | Optionell Sträng | Tillgänglig när: schedule = true |
| clicks_limit | Optionell Innehåller | - |
| expiration_url | Optionell Sträng | - |
| sensitive_content | Optionell Boolean | - |
| http_status_code | Optionell Innehåller | Tillåtna värden: 301, 302, 307, 308 |
| app_linking_is_enabled | Optionell Boolean | - |
| cloaking_is_enabled | Optionell Boolean | - |
| cloaking_title | Optionell Sträng | - |
| cloaking_meta_description | Optionell Sträng | - |
| cloaking_custom_js | Optionell Sträng | - |
| cloaking_favicon | Optionell filer | - |
| cloaking_opengraph | Optionell filer | - |
| password | Optionell Sträng | - |
| forward_query_parameters_is_enabled | Optionell Boolean | - |
| seo_block | Optionell Boolean | - |
| utm_source | Optionell Sträng | - |
| utm_medium | Optionell Sträng | - |
| utm_campaign | Optionell Sträng | - |
| targeting_type | Optionell Sträng | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Optionell Sträng | Tillgänglig när: targeting_type = continent_code |
| targeting_continent_code_value[index] | Optionell Sträng | Tillgänglig när: targeting_type = continent_code |
| targeting_country_code_key[index] | Optionell Sträng | Tillgänglig när: targeting_type = country_code |
| targeting_country_code_value[index] | Optionell Sträng | Tillgänglig när: targeting_type = country_code |
| targeting_city_name_key[index] | Optionell Sträng | Tillgänglig när: targeting_type = city_name |
| targeting_city_name_value[index] | Optionell Sträng | Tillgänglig när: targeting_type = city_name |
| targeting_device_type_key[index] | Optionell Sträng | Tillgänglig när: targeting_type = device_type |
| targeting_device_type_value[index] | Optionell Sträng | Tillgänglig när: targeting_type = device_type |
| targeting_browser_language_key[index] | Optionell Sträng | Tillgänglig när: targeting_type = browser_language |
| targeting_browser_language_value[index] | Optionell Sträng | Tillgänglig när: targeting_type = browser_language |
| targeting_rotation_key[index] | Optionell Sträng | Tillgänglig när: targeting_type = rotation |
| targeting_rotation_value[index] | Optionell Sträng | Tillgänglig när: targeting_type = rotation |
| targeting_os_name_key[index] | Optionell Sträng | Tillgänglig när: targeting_type = os_name |
| targeting_os_name_value[index] | Optionell Sträng | Tillgänglig när: targeting_type = os_name |
| targeting_browser_name_key[index] | Optionell Sträng | Tillgänglig när: targeting_type = browser_name |
| targeting_browser_name_value[index] | Optionell Sträng | Tillgänglig när: targeting_type = browser_name |
curl --request POST \
--url 'https://0o0.online/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://0o0.online/' \
--url 'https://0o0.online/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://0o0.online/' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/links/{link_id}
| Parametrar | detaljer | Beskrivning |
|---|---|---|
| location_url | Optionell Sträng | och den URL från destinationen . |
| url | Optionell Sträng | och den URL alias av den genererade länken. Lämna tomt för en slumpmässigt genererad. |
| domain_id | Optionell Innehåller | - |
| project_id | Optionell Innehåller | - |
| pixels_ids | Optionell Array Innehåller | - |
| email_reports | Optionell Array | Anmälan handlar ids |
| schedule | Optionell Boolean | - |
| start_date | Optionell Sträng | Tillgänglig när: schedule = true |
| end_date | Optionell Sträng | Tillgänglig när: schedule = true |
| clicks_limit | Optionell Innehåller | - |
| expiration_url | Optionell Sträng | - |
| sensitive_content | Optionell Boolean | - |
| http_status_code | Optionell Innehåller | Tillåtna värden: 301, 302, 307, 308 |
| app_linking_is_enabled | Optionell Boolean | - |
| cloaking_is_enabled | Optionell Boolean | - |
| cloaking_title | Optionell Sträng | - |
| cloaking_meta_description | Optionell Sträng | - |
| cloaking_custom_js | Optionell Sträng | - |
| cloaking_favicon | Optionell filer | - |
| cloaking_opengraph | Optionell filer | - |
| password | Optionell Sträng | - |
| forward_query_parameters_is_enabled | Optionell Boolean | - |
| seo_block | Optionell Boolean | - |
| utm_source | Optionell Sträng | - |
| utm_medium | Optionell Sträng | - |
| utm_campaign | Optionell Sträng | - |
| targeting_type | Optionell Sträng | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Optionell Sträng | Tillgänglig när: targeting_type = continent_code |
| targeting_continent_code_value[index] | Optionell Sträng | Tillgänglig när: targeting_type = continent_code |
| targeting_country_code_key[index] | Optionell Sträng | Tillgänglig när: targeting_type = country_code |
| targeting_country_code_value[index] | Optionell Sträng | Tillgänglig när: targeting_type = country_code |
| targeting_city_name_key[index] | Optionell Sträng | Tillgänglig när: targeting_type = city_name |
| targeting_city_name_value[index] | Optionell Sträng | Tillgänglig när: targeting_type = city_name |
| targeting_device_type_key[index] | Optionell Sträng | Tillgänglig när: targeting_type = device_type |
| targeting_device_type_value[index] | Optionell Sträng | Tillgänglig när: targeting_type = device_type |
| targeting_browser_language_key[index] | Optionell Sträng | Tillgänglig när: targeting_type = browser_language |
| targeting_browser_language_value[index] | Optionell Sträng | Tillgänglig när: targeting_type = browser_language |
| targeting_rotation_key[index] | Optionell Sträng | Tillgänglig när: targeting_type = rotation |
| targeting_rotation_value[index] | Optionell Sträng | Tillgänglig när: targeting_type = rotation |
| targeting_os_name_key[index] | Optionell Sträng | Tillgänglig när: targeting_type = os_name |
| targeting_os_name_value[index] | Optionell Sträng | Tillgänglig när: targeting_type = os_name |
| targeting_browser_name_key[index] | Optionell Sträng | Tillgänglig när: targeting_type = browser_name |
| targeting_browser_name_value[index] | Optionell Sträng | Tillgänglig när: targeting_type = browser_name |
| is_enabled | Optionell Boolean | - |
curl --request POST \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/links/{link_id}
curl --request DELETE \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \